# This file was auto-generated by Fern from our API Definition.

from ...core.pydantic_utilities import UniversalBaseModel
import typing
from .agent import Agent
from ...core.pydantic_utilities import IS_PYDANTIC_V2
import pydantic


class ListAgentsResponse(UniversalBaseModel):
    """
    Examples
    --------
    import datetime

    from flatfile.agents import Agent, ListAgentsResponse

    ListAgentsResponse(
        data=[
            Agent(
                id="us_ag_YOUR_ID",
                topics=["workbook:updated"],
                compiler="js",
                source="module.exports = { routeEvent: async (...args) => { console.log(args) } }",
                slug="default",
                created_at=datetime.datetime.fromisoformat(
                    "2023-10-30 16:59:45.735000+00:00",
                ),
                updated_at=datetime.datetime.fromisoformat(
                    "2023-10-30 16:59:45.735000+00:00",
                ),
                account_id="us_acc_YOUR_ID",
                environment_id="us_env_YOUR_ID",
                options={"namespace": "space:blue"},
            )
        ],
    )
    """

    data: typing.Optional[typing.List[Agent]] = None

    if IS_PYDANTIC_V2:
        model_config: typing.ClassVar[pydantic.ConfigDict] = pydantic.ConfigDict(extra="allow", frozen=True)  # type: ignore # Pydantic v2
    else:

        class Config:
            frozen = True
            smart_union = True
            extra = pydantic.Extra.allow
