# This file was auto-generated by Fern from our API Definition.

from ...core.pydantic_utilities import UniversalBaseModel
from .document import Document
from ...core.pydantic_utilities import IS_PYDANTIC_V2
import typing
import pydantic


class DocumentResponse(UniversalBaseModel):
    """
    Examples
    --------
    import datetime

    from flatfile.commons import Action
    from flatfile.documents import Document, DocumentResponse

    DocumentResponse(
        data=Document(
            id="us_dc_YOUR_ID",
            space_id="us_sp_YOUR_ID",
            environment_id="us_env_YOUR_ID",
            title="My Document 1",
            body="My information",
            treatments=[],
            actions=[
                Action(
                    operation="submitAction",
                    mode="foreground",
                    label="Submit",
                    description="Submit data to webhook.site",
                    primary=True,
                )
            ],
            created_at=datetime.datetime.fromisoformat(
                "2022-09-18 00:19:57.007000+00:00",
            ),
            updated_at=datetime.datetime.fromisoformat(
                "2022-09-18 00:19:57.007000+00:00",
            ),
        ),
    )
    """

    data: Document

    if IS_PYDANTIC_V2:
        model_config: typing.ClassVar[pydantic.ConfigDict] = pydantic.ConfigDict(extra="allow", frozen=True)  # type: ignore # Pydantic v2
    else:

        class Config:
            frozen = True
            smart_union = True
            extra = pydantic.Extra.allow
