# This file was auto-generated by Fern from our API Definition.

from ...core.pydantic_utilities import UniversalBaseModel
from .file import File
from ...core.pydantic_utilities import IS_PYDANTIC_V2
import typing
import pydantic


class FileResponse(UniversalBaseModel):
    """
    Examples
    --------
    import datetime

    from flatfile.files import File, FileResponse

    FileResponse(
        data=File(
            id="us_fl_YOUR_ID",
            name="Test File",
            ext="png",
            mimetype="image/png",
            encoding="7bit",
            status="partial",
            mode="import",
            size=81953,
            bytes_received=81593,
            created_at=datetime.datetime.fromisoformat(
                "2023-11-15 19:31:33.015000+00:00",
            ),
            updated_at=datetime.datetime.fromisoformat(
                "2023-11-15 19:31:33.015000+00:00",
            ),
            space_id="us_sp_YOUR_ID",
        ),
    )
    """

    data: File

    if IS_PYDANTIC_V2:
        model_config: typing.ClassVar[pydantic.ConfigDict] = pydantic.ConfigDict(extra="allow", frozen=True)  # type: ignore # Pydantic v2
    else:

        class Config:
            frozen = True
            smart_union = True
            extra = pydantic.Extra.allow
