# This file was auto-generated by Fern from our API Definition.

from ...core.pydantic_utilities import UniversalBaseModel
from .mapping_rule import MappingRule
from ...core.pydantic_utilities import IS_PYDANTIC_V2
import typing
import pydantic


class MappingRuleResponse(UniversalBaseModel):
    """
    Examples
    --------
    import datetime

    from flatfile.mapping import MappingRule, MappingRuleResponse

    MappingRuleResponse(
        data=MappingRule(
            id="mapping-rule-id",
            name="Assign mapping rule",
            type="assign",
            config={},
            confidence=1,
            created_by="us_usr_YOUR_ID",
            created_at=datetime.datetime.fromisoformat(
                "2021-01-01 00:00:00+00:00",
            ),
            updated_at=datetime.datetime.fromisoformat(
                "2021-01-01 00:00:00+00:00",
            ),
            metadata={},
        ),
    )
    """

    data: MappingRule

    if IS_PYDANTIC_V2:
        model_config: typing.ClassVar[pydantic.ConfigDict] = pydantic.ConfigDict(extra="allow", frozen=True)  # type: ignore # Pydantic v2
    else:

        class Config:
            frozen = True
            smart_union = True
            extra = pydantic.Extra.allow
