# This file was auto-generated by Fern from our API Definition.

from ...core.pydantic_utilities import UniversalBaseModel
from .diff_records import DiffRecords
from ...core.pydantic_utilities import IS_PYDANTIC_V2
import typing
import pydantic


class DiffRecordsResponse(UniversalBaseModel):
    """
    Examples
    --------
    from flatfile.records import DiffRecord, DiffRecordsResponse, DiffValue

    DiffRecordsResponse(
        data=[
            DiffRecord(
                id="us_rc_YOUR_ID",
                values={
                    "firstName": DiffValue(
                        snapshot_value="John",
                        value="Johns",
                    ),
                    "lastName": DiffValue(
                        snapshot_value="Doe",
                        value="Does",
                    ),
                    "email": DiffValue(
                        snapshot_value="john.doe@example.com",
                        value="john.doe@example.com",
                    ),
                },
            )
        ],
    )
    """

    data: DiffRecords

    if IS_PYDANTIC_V2:
        model_config: typing.ClassVar[pydantic.ConfigDict] = pydantic.ConfigDict(extra="allow", frozen=True)  # type: ignore # Pydantic v2
    else:

        class Config:
            frozen = True
            smart_union = True
            extra = pydantic.Extra.allow
