# This file was auto-generated by Fern from our API Definition.

from ...core.pydantic_utilities import UniversalBaseModel
from .view import View
from ...core.pydantic_utilities import IS_PYDANTIC_V2
import typing
import pydantic


class ViewResponse(UniversalBaseModel):
    """
    Examples
    --------
    from flatfile.views import View, ViewConfig, ViewResponse

    ViewResponse(
        data=View(
            id="us_vi_YOUR_ID",
            sheet_id="us_sh_YOUR_ID",
            name="My View",
            config=ViewConfig(
                filter="error",
                filter_field="email",
                q="firstname like %John%",
                sort_field="email",
                sort_direction="asc",
            ),
            created_by="us_usr_YOUR_ID",
        ),
    )
    """

    data: View

    if IS_PYDANTIC_V2:
        model_config: typing.ClassVar[pydantic.ConfigDict] = pydantic.ConfigDict(extra="allow", frozen=True)  # type: ignore # Pydantic v2
    else:

        class Config:
            frozen = True
            smart_union = True
            extra = pydantic.Extra.allow
